.btn-primary {
    --btn-color: var(--main-color);
    
    --bs-btn-bg: hsl(from var(--btn-color) h s l / 0.1);
    --bs-btn-border-color: hsl(from var(--btn-color) h s l / 0.8);

    --bs-btn-hover-bg: var(--btn-color);
    --bs-btn-hover-border-color: var(--btn-color);

    --bs-btn-active-bg: var(--btn-color);
    --bs-btn-active-border-color: var(--btn-color);
    
    --bs-btn-disabled-bg: hsl(from var(--btn-color) h s l / 0.1);
    --bs-btn-disabled-border-color: var(--btn-color);
    
    position: relative;
    transition: background-color 150ms ease, border-color 150ms ease, scale 150ms ease;

    &:active {
        scale: 0.95;
    }
}

.btn:focus-visible {
    --bs-btn-focus-box-shadow: 0 0 0 0.2rem hsl(from var(--main-color) h s l / 0.25);
}

.form-control::placeholder {
    color: var(--text-secondary);
}

.dropdown-menu {
    background-color: hsl(from var(--body-bg) h s l / 0.8);
    backdrop-filter: blur(4px);
}